## libliqbase 0.3.1

=== Makefile ===
PROG        = libliqbase
VERS        = 0.3.0
CC          = gcc
LD          = gcc


OPT_FLAGS   =  -O3
DESTDIR	?= tmp



PREFIX	    = $(DESTDIR)/usr

.PHONY:     clean distclean
all:        
	$(MAKE) -C src

clean:
	$(MAKE) clean -C src

.PHONY:     clean

install:

	mkdir -p                                    $(PREFIX)/lib
	install -m 755 src/libliqbase.so            $(PREFIX)/lib/

	mkdir -p                                    $(PREFIX)/include
	mkdir -p                                    $(PREFIX)/include/liqbase
	cp -r include/*.h                           $(PREFIX)/include/liqbase/

=== src/Makefile ===
LIBRARY     = libliqbase
VERS        = 0.3.0
CC          = gcc
LD          = gcc

OPT_FLAGS   =  -O3






LIBRARIES   =  libpng12 libosso

CFLAGS      = -DUSE_MAEMO -fPIC -Wall `freetype-config --cflags` `pkg-config --cflags  $(LIBRARIES)` -I../include
LDFLAGS     = -lX11 -lXext -lXv -lm `freetype-config --libs` -ljpeg -lpthread `pkg-config --libs $(LIBRARIES)` 
RM          = /bin/rm -f

OBJSUI      = liqx11overlay.o liqdialog_showtree.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o
OBJS        = liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) 



.PHONY:     clean distclean

all:        $(LIBRARY)

$(LIBRARY): $(OBJS) 
		gcc -shared -Wl,-soname,libliqbase.so -o libliqbase.so $(LDFLAGS)  $(OBJS)


.c.o:
	      $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
	      $(RM) *~ $(OBJS) $(PROG)
.PHONY:     clean

## libliqbase 0.2.1-dev-1

=== debian/changelog ===
libliqbase (0.2.1-dev-1) unstable; urgency=low

  * forgot libpng in debain folder, fixed calendar location.

 -- Gary <liquid@gmail.com>  Mon, 07 June 2009 23:40:03 +0200

libliqbase (0.2-dev-1) unstable; urgency=low

  * Initial release, Kees Jongenburger prepared baseline packaging.

 -- Gary <liquid@gmail.com>  Sat, 30 May 2009 13:18:03 +0200

=== debian/control ===
Source: libliqbase
Priority: extra
Maintainer: Gary liquid <liquid@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, x11proto-xext-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev
Standards-Version: 3.7.2
Section: libs

Package: libliqbase-dev
Section: libdevel
Architecture: any
Depends: libliqbase1 (= ${Source-Version}), autotools-dev
Description: liqbase rendering engine and ui core elements.
 liqbase rendering engine and ui core elements.  super quick yuv graphics engine.

Package: libliqbase1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: liqbase rendering engine and ui core elements.
 liqbase rendering engine and ui core elements.  super quick yuv graphics engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/libliqbase1 install
	$(MAKE) DESTDIR=$(CURDIR)/debian/libliqbase-dev install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libliqbase 0.3.1

=== debian/changelog ===
libliqbase (0.3.1) unstable; urgency=low

  * remove xsp.

 -- Gary <liquid@gmail.com>  Tue, 09 June 2009 23:40:03 +0200

libliqbase (0.3) unstable; urgency=low

  * trying again.

 -- Gary <liquid@gmail.com>  Mon, 08 June 2009 23:40:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libliqbase
 Priority: extra
 Maintainer: Gary liquid <liquid@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, x11proto-xext-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev
+Build-Depends: debhelper (>= 5), x11proto-xext-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev
 Standards-Version: 3.7.2
 Section: libs
 
 Package: libliqbase-dev
 Section: libdevel
 Architecture: any
-Depends: libliqbase1 (= ${Source-Version}), autotools-dev
+Depends: libliqbase1 (= ${Source-Version})
 Description: liqbase rendering engine and ui core elements.
  liqbase rendering engine and ui core elements.  super quick yuv graphics engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp    install

	# lcuk, as well as tmp, let me just try this..
	#$(MAKE) DESTDIR=$(CURDIR)/debian/libliqbase1    install
	#$(MAKE) DESTDIR=$(CURDIR)/debian/libliqbase-dev install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libliqbase 0.3.7

=== debian/changelog ===
libliqbase (0.3.7) unstable; urgency=low

  * stop crashing hildon desktop, cant use "liqbase-playground" as service name.
  * forced osso initialize to "liqbase_playground" in lib, and changed files here.
  * skipped a couple of revs also

 -- Gary Birkett <liquid@gmail.com>  16 June 2009 21:41:03 +0200

libliqbase (0.3.4) unstable; urgency=low

  * tweaks

 -- Gary <liquid@gmail.com>  15 June 2009 12:40:03 +0200

libliqbase (0.3.3) unstable; urgency=low

  * knob bugfixes and scrollbars

 -- Gary <liquid@gmail.com>  15 June 2009 12:40:03 +0200

libliqbase (0.3.2) unstable; urgency=low

  * bugfix to cellprop, was doubly freeing memory tsktsk

 -- Gary <liquid@gmail.com>  14 June 2009 12:40:03 +0200

## libliqbase 0.3.8

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 
 OPT_FLAGS   =  -O3
-DESTDIR	?= tmp
+#DESTDIR	?= tmp
 
 
 
@@ -24,6 +24,7 @@
 
 	mkdir -p                                    $(PREFIX)/lib
 	install -m 755 src/libliqbase.so            $(PREFIX)/lib/
+	install -m 755 src/libliqbase.so            $(PREFIX)/lib/libliqbase.so.0
 
 	mkdir -p                                    $(PREFIX)/include
 	mkdir -p                                    $(PREFIX)/include/liqbase

=== debian/changelog ===
libliqbase (0.3.8) unstable; urgency=low

  * bug with the new osso code.. 

 -- Gary Birkett <liquid@gmail.com>  16 June 2009 22:41:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libliqbase
 Priority: extra
 Maintainer: Gary liquid <liquid@gmail.com>
-Build-Depends: debhelper (>= 5), x11proto-xext-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev
+Build-Depends: debhelper (>= 5), x11proto-xext-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev, libc6-dev
 Standards-Version: 3.7.2
 Section: libs

## libliqbase 0.3.11

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,8 @@
 install:
 
 	mkdir -p                                    $(PREFIX)/lib
-	install -m 755 src/libliqbase.so            $(PREFIX)/lib/
-	install -m 755 src/libliqbase.so            $(PREFIX)/lib/libliqbase.so.0
+	cp src/libliqbase.so                        $(PREFIX)/lib/
+	cp src/libliqbase.so                        $(PREFIX)/lib/libliqbase.so.0
 
 	mkdir -p                                    $(PREFIX)/include
 	mkdir -p                                    $(PREFIX)/include/liqbase

=== src/Makefile ===
--- 
+++ 
@@ -6,11 +6,17 @@
 OPT_FLAGS   =  -O3
 
 
+USE_OSSO = 1
 
 
 
+LIBRARIES   =  libpng12
 
-LIBRARIES   =  libpng12 libosso
+
+ifdef USE_OSSO
+	LIBRARIES += libosso
+endif
+
 
 CFLAGS      = -DUSE_MAEMO -fPIC -Wall `freetype-config --cflags` `pkg-config --cflags  $(LIBRARIES)` -I../include
 LDFLAGS     = -lX11 -lXext -lXv -lm `freetype-config --libs` -ljpeg -lpthread `pkg-config --libs $(LIBRARIES)` 
@@ -18,6 +24,11 @@
 
 OBJSUI      = liqx11overlay.o liqdialog_showtree.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o
 OBJS        = liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) 
+
+
+ifdef USE_OSSO
+	CFLAGS += -DUSE_OSSO
+endif
 
 
 
@@ -32,6 +43,6 @@
 .c.o:
 	      $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
 clean:
-	      $(RM) *~ $(OBJS) $(PROG)
+	      $(RM) *~ $(OBJS) $(PROG) libliqbase.so
 .PHONY:     clean

=== debian/changelog ===
libliqbase (0.3.11) unstable; urgency=low

  * prevent multiple event handlers being fired if at least 1 is found 

 -- Gary Birkett <liquid@gmail.com>  21 June 2009 22:41:03 +0200

libliqbase (0.3.10) unstable; urgency=low

  * bugfixes towards kotcomix and vgraph and general cleanups 

 -- Gary Birkett <liquid@gmail.com>  21 June 2009 22:41:03 +0200

libliqbase (0.3.9) unstable; urgency=low

  * bug with the wmclass.. 

 -- Gary Birkett <liquid@gmail.com>  17 June 2009 22:41:03 +0200

=== debian/control ===
Source: libliqbase
Priority: extra
Maintainer: Gary liquid <liquid@gmail.com>
Build-Depends: debhelper (>= 5), x11proto-xext-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev, libc6-dev
Standards-Version: 3.7.2
Section: libs

Package: libliqbase-dev
Section: libdevel
Architecture: any
Depends: libliqbase1 (= ${Source-Version})
Description: liqbase rendering engine and ui core elements
 liqbase rendering engine and ui core elements.  super quick yuv graphics engine

Package: libliqbase1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: liqbase rendering engine and ui core elements
 liqbase rendering engine and ui core elements.  super quick yuv graphics engine

=== debian/rules ===
--- 
+++ 
@@ -94,7 +94,6 @@
 	dh_link
 	dh_strip
 	dh_compress
-	dh_fixperms
 #	dh_perl
 #	dh_python
 	dh_makeshlibs
@@ -102,6 +101,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
+	dh_fixperms
 	dh_builddeb
 
 binary: binary-indep binary-arch

## libliqbase 0.3.22

=== Makefile ===
PROG        = libliqbase
VERS        = 0.3.0
CC          = gcc
LD          = gcc


OPT_FLAGS   =  -O3
#DESTDIR	?= tmp



PREFIX	    = $(DESTDIR)/usr

.PHONY:     clean distclean
all:        
	$(MAKE) -C src

clean:
	$(MAKE) clean -C src

.PHONY:     clean

install:
	mkdir -p                                    $(PREFIX)/include
	mkdir -p                                    $(PREFIX)/include/liqbase
	cp -r include/*.h                           $(PREFIX)/include/liqbase/

	mkdir -p                                    $(PREFIX)/lib
	cp src/libliqbase.so                        $(PREFIX)/lib/
	cp src/libliqbase.so                        $(PREFIX)/lib/libliqbase.so.0

	install -d						  $(PREFIX)/share/liqbase
	install -d					 	  $(PREFIX)/share/liqbase/libliqbase
	install -d						  $(PREFIX)/share/liqbase/libliqbase/media
	cp -r media/*                           	  $(PREFIX)/share/liqbase/libliqbase/media

=== debian/changelog ===
libliqbase (0.3.22) unstable; urgency=low

  * more doh! moments

 -- Gary Birkett <liquid@gmail.com>  13 August 2009 22:41:03 +0200

libliqbase (0.3.21) unstable; urgency=low

  * remnents left from moving source files into lib.  includes not pointing in correct place

 -- Gary Birkett <liquid@gmail.com>  13 August 2009 22:41:03 +0200

libliqbase (0.3.20) unstable; urgency=low

  * git failure, changes to a number of areas.  added sqlite and curl. setting imagefloat:s property on an image does magic

 -- Gary Birkett <liquid@gmail.com>  13 August 2009 22:41:03 +0200

libliqbase (0.3.14) unstable; urgency=low

  * numerous cleanups

 -- Gary Birkett <liquid@gmail.com>  12 July 2009 22:41:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libliqbase
 Priority: extra
 Maintainer: Gary liquid <liquid@gmail.com>
-Build-Depends: debhelper (>= 5), x11proto-xext-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev, libc6-dev
+Build-Depends: debhelper (>= 5), x11proto-xext-dev, libgstreamer0.10-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev, libc6-dev, libsqlite3-dev, libcurl3-dev
 Standards-Version: 3.7.2
 Section: libs

## libliqbase 0.3.23

=== Makefile ===
PROG        = libliqbase
VERS        = 0.3.0
CC          = gcc
LD          = gcc


OPT_FLAGS   =  -O3
#DESTDIR	?= tmp

ETCDIR	    = $(DESTDIR)/etc
PREFIX	    = $(DESTDIR)/usr
SUDODIR	    = $(ETCDIR)/sudoers.d
BINDIR	    = $(PREFIX)/bin

PGDIR		    = $(PREFIX)/share/liqbase



PREFIX	    = $(DESTDIR)/usr

.PHONY:     clean distclean
all:        
	$(MAKE) -C src

clean:
	$(MAKE) clean -C src

.PHONY:     clean

install:


	install -d $(BINDIR)
	install -d $(SUDODIR)

	mkdir -p                                    $(PREFIX)/include
	mkdir -p                                    $(PREFIX)/include/liqbase
	cp -r include/*.h                           $(PREFIX)/include/liqbase/

	mkdir -p                                    $(PREFIX)/lib
	cp src/libliqbase.so                        $(PREFIX)/lib/
	cp src/libliqbase.so                        $(PREFIX)/lib/libliqbase.so.0

	mkdir -p						  $(PREFIX)/share/liqbase
	mkdir -p					 	  $(PREFIX)/share/liqbase/libliqbase
	mkdir -p						  $(PREFIX)/share/liqbase/libliqbase/media
	cp -r media/*                           	  $(PREFIX)/share/liqbase/libliqbase/media/




	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-ondemand                         $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-powersave                        $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-performance                      $(BINDIR)
	install -m 0755 liqbase_base_fs/etc/sudoers.d/libliqbase.sudoers                                $(SUDODIR)

=== debian/changelog ===
libliqbase (0.3.23) unstable; urgency=low

  * was not copying media

 -- Gary Birkett <liquid@gmail.com>  13 August 2009 22:41:03 +0200

## libliqbase 0.3.25

=== src/Makefile ===
LIBRARY     = libliqbase
VERS        = 0.3.0
CC          = gcc
LD          = gcc

OPT_FLAGS   =  -O3


USE_OSSO = 1
USE_GST = 1


LIBRARIES   =  libpng12 sqlite3


ifdef USE_OSSO
	LIBRARIES += libosso
endif
ifdef USE_GST
	LIBRARIES += gstreamer-0.10 
endif


CFLAGS      = -DUSE_MAEMO -fPIC -Wall `freetype-config --cflags` `pkg-config --cflags  $(LIBRARIES)` -I../include
LDFLAGS     = -lX11 -lXext -lXv -lm -lcurl `freetype-config --libs` -ljpeg -lpthread `pkg-config --libs $(LIBRARIES)` 
RM          = /bin/rm -f

OBJSUI      = liqx11overlay.o liqdialog_showtree.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o
OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) 


ifdef USE_OSSO
	CFLAGS += -DUSE_OSSO
endif

ifdef USE_GST
	OBJS  += liqcamera.o 
endif


.PHONY:     clean distclean

all:        $(LIBRARY)

$(LIBRARY): $(OBJS) 
		gcc -shared -Wl,-soname,libliqbase.so -o libliqbase.so $(LDFLAGS)  $(OBJS)


.c.o:
	      $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
	      $(RM) *~ $(OBJS) $(PROG) libliqbase.so
.PHONY:     clean

=== debian/changelog ===
libliqbase (0.3.25) unstable; urgency=low

  * added star support on password fields, liqcell_propseti(  cell, "textispassword", 1 );
  * fixed grid layout bug!  not noticed it wasnt including right hand side border

 -- Gary Birkett <liquid@gmail.com>  14 August 2009 22:41:03 +0200

libliqbase (0.3.24) unstable; urgency=low

  * first boot flicker fix put in place (on startup, it opens then closes then reopens).

 -- Gary Birkett <liquid@gmail.com>  14 August 2009 22:41:03 +0200

## libliqbase 0.3.26

=== debian/changelog ===
libliqbase (0.3.26) unstable; urgency=low

  * adjusted startup flicker fix time and eat a couple of events along the way
  * tweaked the textbox and made sure password stars are adhered to on the vkb
  * fixed preffs bug (not rtrimming final character of a single char pref)

 -- Gary Birkett <liquid@gmail.com>  14 August 2009 20:41:03 +0200

## libliqbase 0.3.30

=== src/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 LDFLAGS     = -lX11 -lXext -lXv -lm -lcurl `freetype-config --libs` -ljpeg -lpthread `pkg-config --libs $(LIBRARIES)` 
 RM          = /bin/rm -f
 
-OBJSUI      = liqx11overlay.o liqdialog_showtree.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o
+OBJSUI      = liqx11overlay.o liqdialog_showtree.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o
 OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI)

=== debian/changelog ===
libliqbase (0.3.30) unstable; urgency=low

  * added history saving
  * numerous stability fixes
  * added gradients, just set the backcolor of a cell to "xrgb(r,g,b)" and the gradient will be used in place of a fixed color

 -- Gary Birkett <liquid@gmail.com>  30  August 2009 00:41:03 +0200

libliqbase (0.3.29) unstable; urgency=low

  * disabled overlay removal
  * made keyboard show nobble when on RX-34

 -- Gary Birkett <liquid@gmail.com>  26  August 2009 00:41:03 +0200

libliqbase (0.3.28) unstable; urgency=low

  * numerous bug fixes
  * added lowres parameter to allow half resolution rendering :)

 -- Gary Birkett <liquid@gmail.com>  24  August 2009 00:41:03 +0200

libliqbase (0.3.27) unstable; urgency=low

  * lots of changes

 -- Gary Birkett <liquid@gmail.com>  20  August 2009 00:41:03 +0200

## libliqbase 0.3.31

=== Makefile ===
--- 
+++ 
@@ -37,13 +37,10 @@
 	mkdir -p                                    $(PREFIX)/include/liqbase
 	cp -r include/*.h                           $(PREFIX)/include/liqbase/
 
-	mkdir -p                                    $(PREFIX)/lib
-	cp src/libliqbase.so                        $(PREFIX)/lib/
-	cp src/libliqbase.so                        $(PREFIX)/lib/libliqbase.so.0
+	install -d                                  $(PREFIX)/lib
+	install src/libliqbase.so.1                 $(PREFIX)/lib/
 
-	mkdir -p						  $(PREFIX)/share/liqbase
-	mkdir -p					 	  $(PREFIX)/share/liqbase/libliqbase
-	mkdir -p						  $(PREFIX)/share/liqbase/libliqbase/media
+	install -d						  $(PREFIX)/share/liqbase/libliqbase/media
 	cp -r media/*                           	  $(PREFIX)/share/liqbase/libliqbase/media/

=== debian/changelog ===
libliqbase (0.3.31) unstable; urgency=low

  * Non-maintainer upload.
  * Change soname to libliqbase.so.1.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat,  5 Sep 2009 02:45:30 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,16 @@
 Description: liqbase rendering engine and ui core elements
  liqbase rendering engine and ui core elements.  super quick yuv graphics engine
 
+Package: libliqbase1-dbg
+Section: libdevel
+Architecture: any
+Depends: libliqbase1 (= ${Source-Version})
+Description: liqbase rendering engine and ui core elements (debug symbols)
+ Debug symbols for liqbase rendering engine and ui core elements.
+
 Package: libliqbase1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, wget
 Description: liqbase rendering engine and ui core elements
  liqbase rendering engine and ui core elements.  super quick yuv graphics engine

## libliqbase 0.3.32

=== src/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 LDFLAGS     = -lX11 -lXext -lXv -lm -lcurl `freetype-config --libs` -ljpeg -lpthread `pkg-config --libs $(LIBRARIES)` 
 RM          = /bin/rm -f
 
-OBJSUI      = liqx11overlay.o liqdialog_showtree.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o
+OBJSUI      = liqx11overlay.o liqdialog_showtree.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o
 OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI)

=== debian/changelog ===
libliqbase (0.3.32) unstable; urgency=low

  * intermediate
  * merged with javis, thanks!

 -- Gary Birkett <liquid@gmail.com>  06 September 2009 00:41:03 +0200

## libliqbase 0.3.33

=== debian/changelog ===
libliqbase (0.3.33) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing a few things related to missing .so in -dev package.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun,  6 Sep 2009 18:57:26 +0200

## libliqbase 0.3.34

=== debian/changelog ===
libliqbase (0.3.34) unstable; urgency=low

  * Non-maintainer upload.
  * Adding x11 dependencies to libliqbase-dev.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun,  6 Sep 2009 23:04:15 +0200

## libliqbase 0.3.35

=== src/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 all:        $(LIBRARY)
 
 $(LIBRARY): $(OBJS) 
-		gcc -shared -Wl,-soname,libliqbase.so -o libliqbase.so $(LDFLAGS)  $(OBJS)
+		gcc -shared -Wl,-soname,libliqbase.so.1 -o libliqbase.so.1 $(LDFLAGS)  $(OBJS)
 
 
 .c.o:

=== debian/changelog ===
libliqbase (0.3.35) unstable; urgency=low

  * bugfixes
  * serious issue with args->newdialogtoopen in click event.  it was not releasing memory.  now code which uses it must ensure it has correct ref count.  if you want the cell to remain alive, then liqcell_hold() it.

 -- Gary Birkett <liquid@gmail.com>  08 September 2009 00:41:03 +0200

## libliqbase 0.3.45

=== src/Makefile ===
LIBRARY     = libliqbase
VERS        = 0.3.0
CC          = gcc
LD          = gcc

OPT_FLAGS   =  -O3


USE_OSSO = 1
USE_GST = 1


LIBRARIES   =  libpng12 sqlite3


ifdef USE_OSSO
	LIBRARIES += libosso
endif
ifdef USE_GST
	LIBRARIES += gstreamer-0.10 
endif


CFLAGS      = -DUSE_MAEMO -fPIC -Wall `freetype-config --cflags` `pkg-config --cflags  $(LIBRARIES)` -I../include 
LDFLAGS     = -lX11 -lXext -lXv -lm -lcurl `freetype-config --libs` -ljpeg -lpthread `pkg-config --libs $(LIBRARIES)`
RM          = /bin/rm -f

OBJSUI      = liqx11overlay.o liqdialog_showtree.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o liqimagescan.o
OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o


ifdef USE_OSSO
	CFLAGS += -DUSE_OSSO
endif

ifdef USE_GST
	OBJS  += liqcamera.o 
endif


.PHONY:     clean distclean

all:        $(LIBRARY)

$(LIBRARY): $(OBJS) 
		gcc -shared -Wl,-soname,libliqbase.so.1 -o libliqbase.so.1 $(LDFLAGS)  $(OBJS)


.c.o:
	      $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
	      $(RM) *~ $(OBJS) $(PROG) libliqbase.so
.PHONY:     clean

=== debian/changelog ===
libliqbase (0.3.45) unstable; urgency=low

  * lots of bugfixes and stability improvements
  * added camera back in for n900

 -- Gary Birkett <liquid@gmail.com>  19 October 2009 00:41:03 +0200

libliqbase (0.3.37) unstable; urgency=low

  * changes to the selected highlight (had altered incorrectly yesterday)
  * changed the thumb history saving to check file exists and leave it if it does

 -- Gary Birkett <liquid@gmail.com>  10 September 2009 00:41:03 +0200

libliqbase (0.3.36) unstable; urgency=low

  * changes to the highlight

 -- Gary Birkett <liquid@gmail.com>  09 September 2009 00:41:03 +0200

## libliqbase 0.3.57

=== Makefile ===
--- 
+++ 
@@ -37,10 +37,12 @@
 	mkdir -p                                    $(PREFIX)/include/liqbase
 	cp -r include/*.h                           $(PREFIX)/include/liqbase/
 
-	install -d                                  $(PREFIX)/lib
+	mkdir -p                                    $(PREFIX)/lib
 	install src/libliqbase.so.1                 $(PREFIX)/lib/
 
-	install -d						  $(PREFIX)/share/liqbase/libliqbase/media
+	mkdir -p						  $(PREFIX)/share/liqbase
+	mkdir -p					 	  $(PREFIX)/share/liqbase/libliqbase
+	mkdir -p						  $(PREFIX)/share/liqbase/libliqbase/media
 	cp -r media/*                           	  $(PREFIX)/share/liqbase/libliqbase/media/

=== src/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 LDFLAGS     = -lX11 -lXext -lXv -lm -lcurl `freetype-config --libs` -ljpeg -lpthread `pkg-config --libs $(LIBRARIES)`
 RM          = /bin/rm -f
 
-OBJSUI      = liqx11overlay.o liqdialog_showtree.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o liqimagescan.o
+OBJSUI      = liqx11overlay.o liqx11_cover.o liqdialog_showtree.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqcell_mk_star.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o liqimagescan.o
 OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o

=== src/coreui/Makefile ===
PROG        = widgets
VERS        = 0.1.0
CC          = gcc
LD          = gcc

OPT_FLAGS   =  -O3

LIBRARIES   = 

CFLAGS      = $(OPT_FLAGS) -DUSE_MAEMO -Wall   
LDFLAGS     = -lm -lliqbase
RM          = /bin/rm -f

SUBDIRS     = desktopmanage liqcalendar liqui playground

SRCS        = $(wildcard *.c)

OBJS        = $(patsubst %.c,%.o,$(SRCS))

LIBS        = $(patsubst %.c,%.so,$(SRCS))

BINS        = $(patsubst %.c,%,$(SRCS))

.PHONY:     clean distclean

all:        $(LIBS) 
	@for i in $(SUBDIRS); do \
	echo "make all in $$i..."; \
	(cd $$i; $(MAKE) all); done



%.o : %.c
	$(CC) -c -fpic $(CFLAGS) $(CPPFLAGS) $< -o $@

%.so : %.o
	$(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $< -o $@


clean:
	$(RM) *~ $(OBJS) $(LIBS)
	@for i in $(SUBDIRS); do \
	echo "make all in $$i..."; \
	(cd $$i; $(MAKE) clean); done

.PHONY:     clean

=== debian/changelog ===
libliqbase (0.3.57) unstable; urgency=low

  * numerous preflight stability improvements

 -- Gary Birkett <liquid@gmail.com>  01 December 2009 16:41:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libliqbase-dev
 Section: libdevel
 Architecture: any
-Depends: libliqbase1 (= ${Source-Version})
+Depends: libliqbase1 (= ${Source-Version}), x11proto-core-dev, x11proto-xext-dev
 Description: liqbase rendering engine and ui core elements
  liqbase rendering engine and ui core elements.  super quick yuv graphics engine

=== debian/rules ===
--- 
+++ 
@@ -92,11 +92,11 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
+	dh_makeshlibs -V
+	dh_strip --dbg-package=libliqbase1-dbg
 	dh_compress
 #	dh_perl
 #	dh_python
-	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## libliqbase 0.3.61

=== src/Makefile ===
LIBRARY     = libliqbase
VERS        = 0.3.0
CC          = g++
LD          = g++

OPT_FLAGS   =  -O3 
 

USE_GST = 1


UNAMEISARM := $(shell uname -m | grep arm)

ifeq ($(UNAMEISARM),arm)
	USE_OSSO = 1
endif


LIBRARIES   =  libpng12

ifdef USE_OSSO
	LIBRARIES += libosso
endif
ifdef USE_GST
	LIBRARIES += gstreamer-0.10 
endif

MAEMO  = 
ifdef USE_OSSO
	MAEMO = -DUSE_MAEMO
endif
CFLAGS      = $(MAEMO) -fPIC -Wall `freetype-config --cflags` `pkg-config --cflags  $(LIBRARIES)` -I../include 
LDFLAGS     = -lX11 -lXext -lXv -lm -lcurl `freetype-config --libs` -ljpeg -lpthread `pkg-config --libs $(LIBRARIES)`
RM          = /bin/rm -f

OBJSUI      = liqx11overlay.o liqx11_cover.o liqdialog_showtree.o liqcameraface.o liqimage_thumbnail.o liqimage_rotate.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o liqimagescan_hotspot.o liqcamera_tools.o
OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o dialog_selectimage_grid.o dialog_selectcolor.o dialog_selectcolor_greycube.o dialog_selectcolor_colorcube.o 


ifdef USE_OSSO
	CFLAGS += -DUSE_OSSO
endif

ifdef USE_GST
	OBJS  += liqcamera.o 
endif


.PHONY:     clean distclean

all:        $(LIBRARY)

$(LIBRARY): $(OBJS) 
		$(LD) -shared -Wl,-soname,libliqbase.so.1 -o libliqbase.so.1 $(LDFLAGS)  $(OBJS)


.c.o:
	      $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
	      $(RM) *~ $(OBJS) $(PROG) libliqbase.so
.PHONY:     clean

=== debian/changelog ===
libliqbase (0.3.61) unstable; urgency=low

  * lots of fixes, especially
  * green flash removal
  * rotation patch
  * x86 support
  * optification done at library level effecting all apps
  * multitouch availability improvements
  * added dialogs for color and image
  * added facecamera support and invar
  * added rotation support for sketches

 -- Gary Birkett <liquid@gmail.com>  4 September 2010 00:41:03 +0200

libliqbase (0.3.60) unstable; urgency=low

  * numerous stability updates

 -- Gary Birkett <liquid@gmail.com>  22 January 2010 00:41:03 +0200

libliqbase (0.3.58) unstable; urgency=low

  * added LIQBASE_WALLMOUNT define which will keep the back/close button in lower left, otherwise it moves to maemo default place

 -- Gary Birkett <liquid@gmail.com>  05 December 2009 16:41:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libliqbase
 Priority: extra
 Maintainer: Gary liquid <liquid@gmail.com>
-Build-Depends: debhelper (>= 5), x11proto-xext-dev, libgstreamer0.10-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev, libc6-dev, libsqlite3-dev, libcurl3-dev
+Build-Depends: debhelper (>= 5), x11proto-xext-dev, libgstreamer0.10-dev, libpng12-dev, libjpeg62-dev, libosso-dev [!i386], libfreetype6-dev, libxv-dev, libc6-dev, libsqlite3-dev, libcurl3-dev
 Standards-Version: 3.7.2
 Section: libs

## libliqbase 0.3.62

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROG        = libliqbase
 VERS        = 0.3.0
-CC          = gcc
-LD          = gcc
+CC          = g++
+LD          = g++
 
 
 OPT_FLAGS   =  -O3

=== debian/changelog ===
libliqbase (0.3.62) unstable; urgency=low

  * preinst was not being included for auto optify

 -- Gary Birkett <liquid@gmail.com>  8 September 2010 15:37:03 +0200

## libliqbase 0.3.63

=== src/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 LDFLAGS     = -lX11 -lXext -lXv -lm -lcurl `freetype-config --libs` -ljpeg -lpthread `pkg-config --libs $(LIBRARIES)`
 RM          = /bin/rm -f
 
-OBJSUI      = liqx11overlay.o liqx11_cover.o liqdialog_showtree.o liqcameraface.o liqimage_thumbnail.o liqimage_rotate.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o liqimagescan_hotspot.o liqcamera_tools.o
+OBJSUI      = liqx11overlay.o liqx11_cover.o liqdialog_showtree.o liqcameraface.o liqimage_thumbnail.o liqimage_rotate.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o liqimagescan_hotspot.o
 OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o dialog_selectimage_grid.o dialog_selectcolor.o dialog_selectcolor_greycube.o dialog_selectcolor_colorcube.o

=== debian/changelog ===
libliqbase (0.3.63) unstable; urgency=low

  * removing liqcamera_tools, no real need to be there yet, will reinstert later.

 -- Gary Birkett <liquid@gmail.com>  Sat, 11 Dec 2010 00:09:10 +0000

## libliqbase 0.3.64

=== src/Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 RM          = /bin/rm -f
 
 OBJSUI      = liqx11overlay.o liqx11_cover.o liqdialog_showtree.o liqcameraface.o liqimage_thumbnail.o liqimage_rotate.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o liqimagescan_hotspot.o
-OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o dialog_selectimage_grid.o dialog_selectcolor.o dialog_selectcolor_greycube.o dialog_selectcolor_colorcube.o 
+OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o dialog_selectimage_grid.o dialog_selectcolor.o dialog_selectcolor_greycube.o dialog_selectcolor_colorcube.o liqcell_mk_star.o
 
 
 ifdef USE_OSSO

=== debian/changelog ===
libliqbase (0.3.64) unstable; urgency=low

  * restored mk_meta functions
  * tweaked sketch rendering
  
 -- Gary Birkett <liquid@gmail.com>  Sat, 8 Jan 2011 00:09:10 +0000

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Package: libliqbase-dev
 Section: libdevel
 Architecture: any
-Depends: libliqbase1 (= ${Source-Version}), x11proto-core-dev, x11proto-xext-dev
+Depends: libliqbase1 (>= 0.3.63), x11proto-core-dev, x11proto-xext-dev
 Description: liqbase rendering engine and ui core elements
  liqbase rendering engine and ui core elements.  super quick yuv graphics engine
 
 Package: libliqbase1-dbg
 Section: libdevel
 Architecture: any
-Depends: libliqbase1 (= ${Source-Version})
+Depends: libliqbase1 (>= 0.3.63)
 Description: liqbase rendering engine and ui core elements (debug symbols)
  Debug symbols for liqbase rendering engine and ui core elements.

## libliqbase 0.3.66

=== src/Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 RM          = /bin/rm -f
 
 OBJSUI      = liqx11overlay.o liqx11_cover.o liqdialog_showtree.o liqcameraface.o liqimage_thumbnail.o liqimage_rotate.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o liqimagescan_hotspot.o
-OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o dialog_selectimage_grid.o dialog_selectcolor.o dialog_selectcolor_greycube.o dialog_selectcolor_colorcube.o liqcell_mk_star.o
+OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o dialog_selectimage_grid.o dialog_selectcolor.o dialog_selectcolor_greycube.o dialog_selectcolor_colorcube.o liqcell_mk_star.o liqsketchfont.o liqdoc.o 
 
 
 ifdef USE_OSSO

=== debian/changelog ===
libliqbase (0.3.66) unstable; urgency=low

  * at fosdem, cured autobuilder bug.
  
 -- Gary Birkett <liquid@gmail.com>  Sat, 5 Feb 2011 00:09:10 +0000
 

libliqbase (0.3.65) unstable; urgency=low

  * revived branch for using sketches as fonts, prototype only at this time.
  
 -- Gary Birkett <liquid@gmail.com>  Sat, 8 Jan 2011 00:09:10 +0000

## libliqbase 0.3.67

=== debian/changelog ===
libliqbase (0.3.67) unstable; urgency=low

  * more sketchfont testing.
  
 -- Gary Birkett <liquid@gmail.com>  Sat, 12 Feb 2011 00:09:10 +0000

## libliqbase 0.3.68

=== src/Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 RM          = /bin/rm -f
 
 OBJSUI      = liqx11overlay.o liqx11_cover.o liqdialog_showtree.o liqcameraface.o liqimage_thumbnail.o liqimage_rotate.o liqlist.o liqcell_child_select.o liqx11info.o filebuf.o vgraph.o liqcell.o liqcell_arrange.o liqcell_prop.o liqcell_easyrun.o liqcell_easypaint.o liqcell_parse_filename.o liqcell_parse_liqbrain.o liqcell_easyhandler_kinetic.o liqui.o liqcell_dllcache.o md5.o textbox.o liqkeyboard.o liqaccel.o  liqcell_historystore.o liqsketchedit.o liqimagescan_hotspot.o
-OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o dialog_selectimage_grid.o dialog_selectcolor.o dialog_selectcolor_greycube.o dialog_selectcolor_colorcube.o liqcell_mk_star.o liqsketchfont.o liqdoc.o 
+OBJS        = liqtimer.o liqcell_easyrun_multitouch.o liqrecentphotoselect.o liqapp.o liqapp_hildon.o liqapp_prefs.o liqapp_filecache.o liqcanvas_firstrun_splash.o liq_xsurface.o liqcanvas.o liqimage.o liqfont.o liqfontview.o liqsketch.o liqsketchpagefilename.o liqcliprect.o liqapp_turbo.o $(OBJSUI) dialog_selectimage.o dialog_selectimage_grid.o dialog_selectcolor.o dialog_selectcolor_greycube.o dialog_selectcolor_colorcube.o liqcell_mk_star.o liqtag.o liqsketchfont.o liqdoc.o liqdialog.o 
 
 
 ifdef USE_OSSO

=== debian/changelog ===
libliqbase (0.3.68) unstable; urgency=low

  * lots of tweaks and portrait mode fixes.
  
 -- Gary Birkett <liquid@gmail.com>  Sun, 24 Jul 2011 00:09:10 +0000

## libliqbase 0.3.71

=== debian/changelog ===
libliqbase (0.3.71) unstable; urgency=low

  * highlighting harmattan tweaks.
  
 -- Gary Birkett <liquid@gmail.com>  Thu, 28 Jul 2011 00:10:10 +0000

libliqbase (0.3.70) unstable; urgency=low

  * few more tweaks.
  
 -- Gary Birkett <liquid@gmail.com>  Thu, 28 Jul 2011 00:09:10 +0000

## libliqbase 0.3.72

=== src/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 UNAMEISARM := $(shell uname -m | grep arm)
 
 ifeq ($(UNAMEISARM),arm)
+# comment out next line for harmattan, no osso is used there.
 	USE_OSSO = 1
 endif

=== debian/changelog ===
libliqbase (0.3.72) unstable; urgency=low

  * adding PolyFill! Sketch tool 5 :)
  
 -- Gary Birkett <liquid@gmail.com>  Sun, 31 Jul 2011 00:10:10 +0000

 libliqbase (0.3.71) unstable; urgency=low

  * highlighting harmattan tweaks.
  
 -- Gary Birkett <liquid@gmail.com>  Thu, 28 Jul 2011 00:10:10 +0000
